CREATE OR REPLACE TRIGGER mo_aufgabe_c
   BEFORE INSERT
	ON fabian_data
	FOR EACH ROW
	DECLARE
      tag_name VARCHAR2(255);
      anzahl INTEGER;
      v_authors INTEGER;
		v_tagid INTEGER;
		v_artikel INTEGER;
		v_artikels INTEGER;
		v_issue INTEGER;
      no_insert10 EXCEPTION;
	BEGIN
		anzahl := 0;		

		SELECT name
      INTO tag_name
		FROM fabian_tag
		WHERE  id = :NEW.tagid;

		IF ( tag_name = 'author') THEN
         SELECT COUNT(*)
         INTO anzahl
         FROM fabian_tag
         WHERE name = 'author' AND id IN 
            (SELECT tagid
            FROM fabian_data
            WHERE data = :NEW.data);

   		IF (anzahl  > 10) THEN
 				SELECT parent
 				INTO v_authors
 				FROM fabian_ptr
 				WHERE child = :NEW.tagid;

	     		SELECT parent
            INTO v_artikel
				FROM fabian_ptr
				WHERE child = v_authors;

 	     		SELECT parent
            INTO v_artikels
				FROM fabian_ptr
				WHERE child = v_artikel;

 	     		SELECT parent
            INTO v_issue
				FROM fabian_ptr
				WHERE child = v_artikels;
								
				DELETE FROM fabian_tag
				WHERE id = v_issue; 	

            RAISE no_insert10;
			END IF;
     	END IF;
	END;  -- end mo_aufgabe_c
/