CREATE TABLE fabian_doc
	(
	ID	INTEGER PRIMARY KEY,
	URL	CLOB
	);

CREATE TABLE fabian_tag
	(
	ID	INTEGER PRIMARY KEY,
	DOCID	INTEGER REFERENCES fabian_doc ON DELETE CASCADE,
	NAME	VARCHAR2(255)
	);


CREATE TABLE fabian_ptr
	(
	PARENT	INTEGER REFERENCES fabian_tag ON DELETE CASCADE,
	CHILD	INTEGER REFERENCES fabian_tag ON DELETE CASCADE
	);
	

CREATE TABLE fabian_attr
	(
	TAGID	INTEGER REFERENCES fabian_tag ON DELETE CASCADE,
	NAME	VARCHAR2(255),
	VALUE	VARCHAR2(255)
	);

CREATE TABLE fabian_data
	(
	TAGID	INTEGER REFERENCES fabian_tag ON DELETE CASCADE,
	DATA	VARCHAR2(255)
	);

CREATE TABLE fabian_art
	(
	ARTICLEID 	INTEGER,
	VOLUMEID	INTEGER,
	NUMBERID	INTEGER,
	TITLE		VARCHAR2(255),
	AUTHORID	INTEGER
	);
