package webis;
import java.sql.*;

class Query {
	static final String queryString = "SELECT DATA FROM fabian_data WHERE tagid IN (SELECT child FROM fabian_ptr WHERE parent IN (SELECT parent FROM (SELECT * FROM fabian_ptr WHERE child IN ( SELECT id FROM fabian_tag WHERE name like ? )) GROUP BY parent HAVING COUNT(*)=2) INTERSECT SELECT tagid FROM fabian_attr WHERE name like ? AND value like ?)";	
	public java.sql.PreparedStatement query;
	public java.sql.Connection connection;

	Query() {
		try {
			connection = DriverManager.getConnection("jdbc:oracle:thin:@darwin.inf.fu-berlin.de:1523:INTRODBS","dbs21","dbs21");	
			query = connection.prepareStatement(queryString);
		} catch (SQLException sqle) {
			System.out.println("DriverManager.getConnection : " + sqle.getMessage());
			System.exit(-2);
		}
	}

	void query(String x, String y, String z) throws SQLException {
		query.setObject(1, x);
		query.setObject(2, y);
		query.setObject(3, z);
		ResultSet rs =query.executeQuery();
		while (rs.next()) {
			/*			Clob clob = rs.getClob(1);
			if (clob.length() <= 80)
				System.out.println(clob.getSubString(1, ((int)clob.length())));
			else
			System.out.println(clob.getSubString(1, 80));*/
			System.out.println(rs.getString(1));
		}
		
	}
	static void main(String args[]) {
		if (args.length != 3)
			return;
		try {
			Class.forName("oracle.jdbc.driver.OracleDriver");
		} catch(ClassNotFoundException e) {
			System.out.println("Class.forName : " + e.getMessage());
			System.exit(-1);
		}
		try {
			Query q = new Query();
			q.query(args[0], args[1], args[2]);
		} catch (SQLException sqle) {
			System.out.println(sqle);
		}
	}
}
